
Slick 8.x-1.0-dev, 2019-01-06
-----------------------------
- Fixed for dots with thumbnail alt.

Slick 8.x-1.0-dev, 2018-12-17
-----------------------------
- Issue #2964773 by fjgarlin: Support Slick library 1.9.0
- Issue #2937960 by gausarts, WalkingDexter, a.sinitsa, igonzalez: Many
  carousels on one page with custom AppendDots.
- Change negative margins to transforms for center captions to allow more
  flexible widths without hard-coding widths.
- Added support for Video Embed Media 8.x-2.x.
- Issue #2480245 by B-Prod, Ben Young: Breakpoint-specific options lost if same
  as defaults
- Issue #2920193 by ShaxA: Slick is not starting the autoplay after a modal is
  closed
- Issue #3010260 by bendeguz.csirmaz: Optimize slick_library_info_alter()
- Issue #2996130 by huzooka, bendeguz.csirmaz: Misleading (false-negative)
  report on status report page
- Issue #2948735 by alaa abbad, Muath Khraisat: Adding the alt attribute to the
  slick thumbnails
- Issue #2945030 by alaa abbad: The button role is unnecessary for element
  button.
- Issue #2922036 by shaal, matio89: RTL Views Drupal 8

Slick 8.x-1.0-dev, 2017-05-26
-----------------------------
- Added more tests.
- Moved Functional tests into Kernel tests.
- Added ImageItem into SlickFormatter::getThumbnail() parameters for potential
  lazyloaded thumbnail images reasonable for hundreds of gallery images.
- Removed settings overrides for Slick::create().
- Added more relevant info into slick.api.php.

Slick 8.x-1.0-dev, 2017-04-27
-----------------------------
- Fixed for leftover t().
- #2873222 by Munavijayalakshmi, dhruveshdtripathi: Convert module to use short
  array syntax (new coding standard).
- #2872871 by elimw: Slick Images Not Showing in Drupal 8.3.

Slick 8.x-1.0-dev, 2017-04-08
-----------------------------
- Fixed for .slide__media DIV wrapper being rendered when empty at
  slick-slide.html.twig.
- Cleaned up README and typos.

Slick 8.x-1.0-dev, 2017-03-20
-----------------------------
- Added a list of available skins at optionset page as planned ages ago.

Slick 8.x-1.0-dev, 2017-03-15
-----------------------------
- #2770005 by Shreya Shetty, gausarts, Nitesh Pawar: Replaces deprecated methods
  with new and specified return value when condition not matched in switch.
- #2855190 by daniel.bosen: Using bower or composer to download the slick
  library is cumbersome.

Slick 8.x-1.0-dev, 2017-03-11
-----------------------------
- Fixed for typo in comments.
- Added supports for programmatic options defined within skin definitions to
  allow addition of options with other libraries integrated with Slick without
  modifying Optionset like Zoom, Reflection, Slicebox, etc.

Slick 8.x-1.0-dev, 2017-02-11
-----------------------------
- Fixed for Slick libraries weight regression at hook_library_info_alter().
- Fixed for hidden form element.
- Cleaned up debris from old approach.
- Added dependencies to skins.

Slick 8.x-1.0-dev, 2017-02-10
-----------------------------
- Fixed for regression with Overridables option not being respected.

Slick 8.x-1.0-dev, 2017-01-24
-----------------------------
- #2843870 by ruslan_03492: Requirements could not be resolved to an installable
  set of packages drupal/blazy 8.*.
- Arranged the form item weights for better visibility.

Slick 8.x-1.0-dev, 2017-01-16
-----------------------------
- Moved slick_library_info_build() content into SlickManager to declutter
  module file.
- Removed unused params from slick.load.js.
- Removed deprecated SafeMarkup::format() for Html::escape().

Slick 8.x-1.0-dev, 2016-12-27
-----------------------------
- Marked it Beta6.

Slick 8.x-1.0-dev, 2016-12-24
-----------------------------
- Simplified slick.load.js to reduce dup variables.
- Moved slick related media player from Blazy into Slick.

Slick 8.x-1.0-dev, 2016-12-20
-----------------------------
- #2837939 by gausarts, toncic: Missing schema error for edgeFriction option,
  creating new slick optionset. Resaving optionset and clearing cache fix it.

Slick 8.x-1.0-dev, 2016-12-18
-----------------------------
- Added SlickEntityFormatterBase.php for base ER without field details.
- A few cleanups: TWIG indentation, descriptions, default settings.

Slick 8.x-1.0-dev, 2016-12-09
-----------------------------
- Fixed for the new Optimized option consequences.
- Fixed for edgeFriction when it is integer, no longer double.
- Improved message for slick_requirements().
- Deprecated theme_slick_image() for theme_blazy() to reduce function calls.

Slick 8.x-1.0-dev, 2016-12-06
-----------------------------
- Converted the rest of Simpletest methods into PHPUnit's.
- Fixed for coding standards.
- Ported Optimized option to clean out defaults from the stored settings.
- Added tests.

Slick 8.x-1.0-dev, 2016-11-29
-----------------------------
- Marked it Beta5.
- A few cleanups.

Slick 8.x-1.0-dev, 2016-11-26
-----------------------------
- Fixed for broken iframes when Aspect ratio is not provided.

Slick 8.x-1.0-dev, 2016-11-21
-----------------------------
- Split lightbox gallery identifier into Grid wrapper, if provided.

Slick 8.x-1.0-dev, 2016-11-17
-----------------------------
- Removed the no-longer needed SlickFormatter::getMediaSwitch() overrides as
  slick colorbox is using blazy colorbox.

Slick 8.x-1.0-dev, 2016-11-14
-----------------------------
- Fixed for colorbox regression with the recent JS move into Blazy.

Slick 8.x-1.0-dev, 2016-11-09
-----------------------------
- A few cleanups.
- Fixed for the new Grid and CSS3 Columns at field formatter settings not saved.

Slick 8.x-1.0-dev, 2016-11-01
-----------------------------
- Simplified settings.arrow.attributes to arrow_attributes.
- Simplified settings.downArrow.attributes to arrow_down_attributes.

Slick 8.x-1.0-dev, 2016-10-31
-----------------------------
- Added support for Blazy new CSS3 Columns along with Grid Foundation.
- Moved "the failsafe for deleted optionset while being used" outside Slick.php
  since it was breaking Add/Duplicate operations, till proper fix.
- Updated Slick colorbox JS file to re-use blazy.colorbox because Blazy now
  also supports Media Entity for colorbox videos.

Slick 8.x-1.0-dev, 2016-10-25
-----------------------------
- Minified please. Never commit anything when you are tired.
- Added optional "Slick Image with Media" formatter to retain VEM/ME within
  image/file ER environment if VEM/ME is installed.
- Moved Slick grid CSS foundation into Blazy for reusability outside slick, such
  as with core Views HTML list, or even Unformatted format.
- Respected "Vanilla slick" option when using grid items.
- Cleaned up and refined slick.theme.css for better UX.
- Brought back the slide offset temp fix for when count <= slidesTosShow as no
  resolution, by now. To be removed when the actual fix is available.
- Ported the failsafe for deleted optionset while being used.
- Added Twig block section for easy partial extensions, and reduce dups.

Slick 8.x-1.0-dev, 2016-10-03
-----------------------------
- Fixed for nested slicks with a full screen skin.

Slick 8.x-1.0-dev, 2016-09-29
-----------------------------
- Marked it Beta4.
- #2799617 by trobey: Include project namespace for module dependencies.
- Removed useless spaceless from sub-templates.
- Added Thumbnail position option to move around thumbnail nav at ease. Styling
  is up to you as usual.
- Fixed for non-empty slick, nothing should be processed when items are empty.

Slick 8.x-1.0-dev, 2016-09-07
-----------------------------
- Marked it Beta3.
- Changed RTL placement from content_attributes to attributes to allow
  correcting arrow placement which is placed outside slider.
- Refined most descriptions to be more helpful.

Slick 8.x-1.0-dev, 2016-09-05
-----------------------------
- #2793477 by daniel.bosen: Hook requirements returns error when libraries
  module is used.
- #2792319 by audriusb: Undefined index: caption.
- Refined form elements, and a few cleanups.

Slick 8.x-1.0-dev, 2016-08-30
-----------------------------
- Removed non-contextual descriptions.
- Fixed for SlickFormatter::getThumbnail().
- Fixed for CHANGELOG.txt versions.

Slick 8.x-1.0-dev, 2016-08-29
-----------------------------
- Removed useless t() from skin names.
- Changed Cache default value to No caching.
- A few cleanups.

Slick 8.x-1.0-dev, 2016-08-23
-----------------------------
- #2783111 by slashrsm: Slick's CSS is affecting all iFrames not just the ones
  that appear in the Slick carousel.
- #2785317 by patilvishalvs: Make breakpoints field fault proof.
  Changed breakpoints field back from number to textfield like D7.

Slick 8.x-1.0-dev, 2016-08-03
-----------------------------
- #2768457 by chr.fritsch: Add libraries support.
- #2769073 by audriusb: Allow adding additional cache tags.
- Fixed for trivial typos $defines_skins to $defined_skins.

Slick 8.x-1.0-dev, 2016-07-14
-----------------------------
- Removed useless delay for an unslick since slick already kicks in.
- #2765353 by Vinay15: Remove @file tag docblock from all the .php files.

Slick 8.x-1.0-dev, 2016-06-19
-----------------------------
- Moved thumbnails outside the loop.
- Allowed Slick to run at least the lazyload on an unslick.

Slick 8.x-1.0-dev, 2016-06-13
-----------------------------
- Added lightbox caption option.
- Fixed for Blazy integration with hidden captions.

Slick 8.x-1.0-dev, 2016-06-10
-----------------------------
- Simplified SlickFormatter::buildSettings() a bit, and clarified descriptions.

Slick 8.x-1.0-dev, 2016-06-08
-----------------------------
- #2744741 by federico.bebber: Issues with responsive image styles.

Slick 8.x-1.0-dev, 2016-06-07
-----------------------------
- Added support to lazyload CSS background when unslick takes place.
- Removed workaround with slick-current classes which is fixed at v1.6.0.
- Fixed for broken responsive options.

Slick 8.x-1.0-dev, 2016-05-09
-----------------------------
- Removed redundant Preloader option since the classes are within image
  containers. Maybe more reasonable for Views later which can text, images, etc.

Slick 8.x-1.0-dev, 2016-05-07
-----------------------------
- Fixed for broken dots.
- Update arrows defaults values.
- Updated slick.load.min.js to v1.6.0.

Slick 8.x-1.0-dev, 2016-05-05
-----------------------------
- Updated JS to Blazy JS v1.6.0 as per [#2716765].
- Added option Preloader for Slick > 1.5.9 which is unfortunately still broken.
- Removed _slick_build_slide() to reduce function calls.
- Removed expensive SlickManager::getAvailableSkins().
- More cleanups.

Slick 8.x-1.0-dev, 2016-04-22
-----------------------------
- A couple of cleanups.
- #2710221 by xanterax: Fatal error by colliding constructor traits.

Slick 8.x-1.0-dev, 2016-04-11
-----------------------------
- Ported hook_requirements().
- A couple of cleanups.

Slick 8.x-1.0-dev, 2016-04-09
-----------------------------
- Fixed for broken core library grid Rows.

Slick 8.x-1.0-dev, 2016-04-08
-----------------------------
- Cleaned up thumbnails leftovers.

Slick 8.x-1.0-dev, 2016-04-06
-----------------------------
- Allowed modules to not use slick_image at module level.
- Refined form elements for thumbnails vs. thumb_captions selections to allow
  supporting VEF which has no captions but may have thumbnails.

Slick 8.x-1.0-dev, 2016-04-04
-----------------------------
- Fixed for overridables.
- Added support to turn images into CSS background images.

Slick 8.x-1.0-dev, 2016-04-03
-----------------------------
- Removed media iframe stuffs out of slick-image.html.twig, and moved to which
  they belong: slick_media.module. Be sure to clear cache.

Slick 8.x-1.0-dev, 2016-04-02
-----------------------------
- Removed noscript fallback, see:
  http://goo.gl/FQLFQ6
  https://goo.gl/f78pMl
- Removed theme_slick_media(), and merged it into theme_slick_image() to get
  along well with Blazy::buildAttributes(), and reduce complication with aspect
  ratio when IMG, IFRAME and lightbox/image link A tags are _all optional.
- Fixed for broken slick with Blazy, aspect ratio and hidden containers, e.g.:
  - Hidden Slick containers such as within hidden Ultimenu regions.
  - Blazy lazyload, not Slick own builtin lazyload.
  - Aspect ratio enabled.
  - Blazied images are large enough to render too late when Slick kicks in.
  - Blazied small images are not affected.

Slick 8.x-1.0-dev, 2016-03-30
-----------------------------
- A few cleanups, Blazy option at Slick UI, skins, composer.json, etc.

Slick 8.x-1.0-dev, 2016-03-28
-----------------------------
- #2693089: Add dependency on Blazy.
  Be sure to clear cache.
- Renamed visible_slides into visible_items to allow re-usable by Blazy.
- Changed thumbnail_hover option into thumbnail_effect to allow variant
  thumbnail stylings: hoverable, static grid.
- Moved Slick admin CSS into Blazy to re-use for a few related modules.
- Moved slick.media.js, slick.photobox.js, and all re-usable stuffs into Blazy.

Slick 8.x-1.0-dev, 2016-03-23
-----------------------------
- Made nice with ESLint.
- Recommended dependency on Blazy module to reduce DRY stuffs shared across
  Blazy, Mason, GridStack, Slick Views and Slick. Will require prior to Betas.
- Simplified slick-image.html.twig.
- Added entity_keys status to disable Default optionset.
- Fixed for Blazy integration.
- Renamed ::getSkinOptions() into ::getSkinsByGroupOptions() for clarity.
- Removed image dimensions fail safe, and moved most logic to ::getImage(), so
  using ::getImage() is a must than calling theme_slick_image() directly. This
  prevented loading image_style objects multiple times, and dup lines.
- Moved SlickFormatterTrait.php into FieldFormatter directory.
- Deleted SlickFormatterBase.php, and merged it into SlickFormatterTrait.php
- Moved aspect ratio fluid style attribute from JS into PHP, otherwise defeating
  the purpose to solve the layout reflow before the images are actually loaded.
- Moved SlickInterface.php into Entity.

Slick 8.x-1.0-dev, 2016-02-11
-----------------------------
- Updated useTransform to TRUE to reflect post v1.5.9.
- Fixed for non-editable ID during Duplicate operation.
- Removed focusOnSelect asnavfor failsafe.
- Merged methods getArrows(), getDots(), getDefinedSkins() into getSkins().

Slick 8.x-1.0-dev, 2016-01-20
-----------------------------
- Fixed for Route "entity.responsive_image_style.collection" does not exist
  error when responsive_image is not installed.
- Updated deprecated \Drupal::url as per [#2605546]
- Fixed for undefined index notice: current_view_mode.
- Moved common functions to SlickFormatterTrait for slick formatters.
- Removed trivial settings: pattern, wrapper class.
- Removed unused services.

Slick 8.x-1.0-dev, 2016-01-19
-----------------------------
- A few cleanup here and there.
- Fixed for Slick media 'overlay' option.

Slick 8.x-1.0-dev, 2016-01-18
-----------------------------
- Updated descriptions here and there.
- Removed skin Test from SlickSkin.php.
- Fixed skin JS library.

Slick 8.x-1.0-dev, 2016-01-17
-----------------------------
- Added the CHANGELOG.txt
- Issue #2651690: Add slick.api.php
- Issue #2651686: Add composer.json
- Issue #2651656: Create a slick text formatter
- Issue #2651652: Create a slick image formatter
- Issue #2651650: Provide Configuration UI (slick UI port)
- Issue #2651648: Implement CMI
- Issue #2432711 by valkum: 8.x-1.x Port
- Initial commit.

Slick 8.x-1.0-dev, 2015-12-12
-----------------------------
- Removed "slide_" prefixed options, e.g.: slide_layout becomes layout.
- Changed colorbox_style to box_style to be generic enough for other lightboxes.
- Renamed theme_slick_item() to theme_slick_slide() to match the library
  slick-slide.

Slick 8.x-1.0-dev, 2015-01-15
-----------------------------
- Converted all skins into library assets via hook_library_info_build().

Slick 8.x-1.0-dev, 2014-09-26
-----------------------------
- Converted most of the preprocessed classes and attributes into twig templates.
- Added config/schema and config/install files.
- Added slick.links.action.yml
- Converted CTools menu into slick.links.menu.yml
- Converted hook_library_info() into slick.libraries.yml
- Converted slick_fields into an image formatter plugin.
- Converted CTools plugin into CMI.
- Removed dependencies on CTools, libraries and jquery_update modules.
- Initial D8 WIP locally.
